com.amazonaws.services.lambda.model

## Class GetAccountSettingsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.GetAccountSettingsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetAccountSettingsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetAccountSettingsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetAccountSettingsResult` `clone()`
`boolean` `equals(Object obj)`
`AccountLimit` `getAccountLimit()`
`AccountUsage` `getAccountUsage()`
`int` `hashCode()`
`void` `setAccountLimit(AccountLimit accountLimit)`
`void` `setAccountUsage(AccountUsage accountUsage)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetAccountSettingsResult` `withAccountLimit(AccountLimit accountLimit)`
`GetAccountSettingsResult` `withAccountUsage(AccountUsage accountUsage)`

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetAccountSettingsResult

    public GetAccountSettingsResult()

### Method Detail

#### setAccountLimit

    public void setAccountLimit(AccountLimit accountLimit)

Parameters:
  `accountLimit` -

#### getAccountLimit

    public AccountLimit getAccountLimit()

Returns:

#### withAccountLimit

    public GetAccountSettingsResult withAccountLimit(AccountLimit accountLimit)

Parameters:
  `accountLimit` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAccountUsage

    public void setAccountUsage(AccountUsage accountUsage)

Parameters:
  `accountUsage` -

#### getAccountUsage

    public AccountUsage getAccountUsage()

Returns:

#### withAccountUsage

    public GetAccountSettingsResult withAccountUsage(AccountUsage accountUsage)

Parameters:
  `accountUsage` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetAccountSettingsResult clone()

Overrides:
  `clone` in class `Object`